﻿@using Isen.DotNet.Library.Models.Implementation;
@{
    ViewData["Title"] = "Communes";
}
@model IEnumerable<Town>
<div class="row">
    <div class="col-md-12">
        <h1>Communes <small>/town/index</small></h1>
    </div>
</div>
<div class="row">
    <a class="btn btn-default"
       asp-controller="Town" asp-action="Detail">Ajouter une commune...</a>
</div>
<div class="row">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Latitude</th>
                <th>Longitude</th>
                <th>Departement</th>

                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var town in Model)
            {
            <tr>
                <td>@town.Id</td>
                <td>@town.Name</td>
                <td>@town.Latitude</td>
                <td>@town.Longitude</td>
                <td>@town.Departement.Name</td>
                <td>
                    <a class="btn btn-default" asp-controller="Town" asp-action="Detail" asp-route-id="@town.Id">Editer</a>
                    &nbsp;
                    <a class="btn btn-danger" asp-controller="Town" asp-action="Delete" asp-route-id="@town.Id">Supprimer</a>
                </td>
            </tr>
            }
        </tbody>
    </table>
</div>